Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
/
search
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "short_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "dropdown_values": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "definition_ref": "<string>",
          "definition_name": "<string>",
          "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "option_label": "<string>",
          "option_ref": "<string>",
          "option_icon_name": "<string>",
          "option_color": "<string>"
        }
      ],
      "assignee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "settings": {},
        "is_active": true,
        "is_superuser": false,
        "is_verified": false,
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "ref": "<string>",
          "color": "<string>"
        }
      ],
      "rows": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "table_name": "<string>",
          "row_data": {},
          "is_row_available": true
        }
      ],
      "durations": [
        {
          "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "start_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "end_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "started_at": "2023-11-07T05:31:56Z",
          "ended_at": "2023-11-07T05:31:56Z",
          "duration": "<string>"
        }
      ],
      "field_values": {},
      "payload": {},
      "num_tasks_completed": 0,
      "num_tasks_total": 0
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

limit
integer
default:20

Maximum items per page

Required range: 1 <= x <= 200
cursor
string | null

Cursor for pagination

reverse
boolean
default:false

Reverse pagination direction

search_term
string | null

Text to search for in case summary, description, or short ID

short_id
string | null

Search by exact case short ID (e.g. 42 or CASE-0042)

status
enum<string>[] | null

Filter by case status

Case status values aligned with OCSF Incident Finding status.

Available options:
unknown,
new,
in_progress,
on_hold,
resolved,
closed,
other
priority
enum<string>[] | null

Filter by case priority

Case priority values aligned with urgency levels.

Values: UNKNOWN (0): No priority is assigned LOW (1): Application or personal procedure is unusable, where a workaround is available or a repair is possible MEDIUM (2): Non-critical function or procedure is unusable or hard to use causing operational disruptions with no direct impact on a service's availability. A workaround is available HIGH (3): Critical functionality or network access is interrupted, degraded or unusable, having a severe impact on services availability. No acceptable alternative is possible CRITICAL (4): Interruption making a critical functionality inaccessible or a complete network interruption causing a severe impact on services availability. There is no possible alternative OTHER (99): The priority is not normalized

Available options:
unknown,
low,
medium,
high,
critical,
other
severity
enum<string>[] | null

Filter by case severity

Case severity values aligned with OCSF severity values.

Values: UNKNOWN (0): The event/finding severity is unknown INFORMATIONAL (1): Informational message. No action required LOW (2): The user decides if action is needed MEDIUM (3): Action is required but the situation is not serious at this time HIGH (4): Action is required immediately CRITICAL (5): Action is required immediately and the scope is broad FATAL (6): An error occurred but it is too late to take remedial action OTHER (99): The event/finding severity is not mapped

Available options:
unknown,
informational,
low,
medium,
high,
critical,
fatal,
other
tags
string[] | null

Filter by tag IDs or slugs (AND logic)

dropdown
string[] | null

Filter by dropdown values. Format: definition_ref:option_ref (AND across definitions, OR within)

start_time
string<date-time> | null

Return cases created at or after this timestamp

end_time
string<date-time> | null

Return cases created at or before this timestamp

updated_after
string<date-time> | null

Return cases updated at or after this timestamp

updated_before
string<date-time> | null

Return cases updated at or before this timestamp

assignee_id
string[] | null

Filter by assignee ID or 'unassigned'

order_by
enum<string> | null

Column name to order by (e.g. created_at, updated_at, priority, severity, status, tasks). Default: created_at

Available options:
created_at,
updated_at,
priority,
severity,
status,
tasks
sort
enum<string> | null

Direction to sort (asc or desc)

Available options:
asc,
desc
include_rows
boolean
default:false

Include linked table rows

field_ids
string[] | null

Include only the requested custom field IDs

include_durations
boolean
default:false

Include case duration values

include_payload
boolean
default:false

Include case payload

Response

Successful Response

items
CaseReadMinimal · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics